.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_RectangleShape2D:

RectangleShape2D
================

**Inherits:** :ref:`Shape2D<class_shape2d>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Rectangle Shape for 2D Physics.

Member Functions
----------------

+--------------------------------+------------------------------------------------------------------------------------------------------------+
| :ref:`Vector2<class_vector2>`  | :ref:`get_extents<class_RectangleShape2D_get_extents>`  **(** **)** const                                  |
+--------------------------------+------------------------------------------------------------------------------------------------------------+
| void                           | :ref:`set_extents<class_RectangleShape2D_set_extents>`  **(** :ref:`Vector2<class_vector2>` extents  **)** |
+--------------------------------+------------------------------------------------------------------------------------------------------------+

Description
-----------

Rectangle Shape for 2D Physics. This shape is useful for modeling box-like 2D objects.

Member Function Description
---------------------------

.. _class_RectangleShape2D_get_extents:

- :ref:`Vector2<class_vector2>`  **get_extents**  **(** **)** const

Return the half extents, the actual width and height of this shape is twice the half extents.

.. _class_RectangleShape2D_set_extents:

- void  **set_extents**  **(** :ref:`Vector2<class_vector2>` extents  **)**

Set the half extents, the actual width and height of this shape is twice the half extents.


